Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: arpwatch

Interfaces

### Description:

Ethernet activity monitor.

### Interfaces:

arpwatch_admin( domain , role )

##### Summary

All of the rules required to administrate an arpwatch environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

arpwatch_dontaudit_rw_packet_sockets( domain )

##### Summary

Do not audit attempts to read and write arpwatch packet sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

arpwatch_initrc_domtrans( domain )

##### Summary

Execute arpwatch server in the arpwatch domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

arpwatch_manage_data_files( domain )

##### Summary

Create, read, write, and delete arpwatch data files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

arpwatch_manage_tmp_files( domain )

##### Summary

Create, read, write, and delete arpwatch temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

arpwatch_rw_tmp_files( domain )

##### Summary

Read and write arpwatch temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

arpwatch_search_data( domain )

##### Summary

Search arpwatch data file directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return